# eoBF< A1, A2, R > Class Template Reference

Basic Binary Functor. More...

`#include <eoFunctor.h>`

Inheritance diagram for eoBF< A1, A2, R >:

List of all members.

## Public Member Functions

virtual | ~eoBF ()
| virtual dtor here so there is no need to define it in derived classes
virtual R | operator() (A1, A2)=0
| The pure virtual function that needs to be implemented by the subclass.

## Static Public Member Functions

eoFunctorBase::binary_function_tag | functor_category ()
| tag to identify a procedure in compile time function selection functor_category

## Detailed Description

### template<class A1, class A2, class R>
class eoBF< A1, A2, R >

Basic Binary Functor.

Derive from this class when defining any binary function. First template argument is result_type, second is first_argument_type, third is second_argument_type. Argument and result types can be any type including void for result_type

Definition at line 145 of file eoFunctor.h.

The documentation for this class was generated from the following file:

- eoFunctor.h